Index: build/mac/build_app_dmg |
=================================================================== |
--- build/mac/build_app_dmg (revision 0) |
+++ build/mac/build_app_dmg (revision 0) |
@@ -0,0 +1,37 @@ |
+#!/bin/sh |
+ |
+# Copyright (c) 2009 The Chromium Authors. All rights reserved. |
+# Use of this source code is governed by a BSD-style license that can be |
+# found in the LICENSE file. |
+ |
+# Normally you don't want to build a dmg out of a debug build. |
+if [ "${CONFIGURATION}" != "Release" ] ; then |
+ echo "warning: building dmg in non-release mode" >&2 |
+fi |
+ |
+# Make sure we got the branding passed to us |
+if [ $# -ne 1 ]; then |
+ echo "error: missing branding as an argument" >&2 |
+ exit 1 |
+fi |
+ |
+# fail on anything from here out |
+set -ex |
Mark Mentovai
2009/05/08 20:18:22
Maybe don't set -x 'til you call pkg-dmg. We don'
|
+ |
+TOP="${SRCROOT}/.." |
+PKG_DMG="${TOP}/build/mac/pkg-dmg" |
+ |
+APP_NAME=$1 |
+SRC_APP_PATH="${BUILT_PRODUCTS_DIR}/${APP_NAME}.app" |
+VOL_NAME="${APP_NAME}" |
+# Do we want a svn version in the DMG name? |
+DMG_NAME="${APP_NAME}.dmg" |
+DST_DMG_PATH="${BUILT_PRODUCTS_DIR}/${DMG_NAME}" |
+ |
+# Call the real working |
+"${PKG_DMG}" --source /var/empty \ |
+ --target "${DST_DMG_PATH}" \ |
+ --format UDBZ \ |
+ --volname "${VOL_NAME}" \ |
+ --tempdir "${TEMP_DIR}" \ |
+ --copy "${SRC_APP_PATH}/:/${APP_NAME}.app/" |
Property changes on: build/mac/build_app_dmg |
___________________________________________________________________ |
Name: svn:executable |
+ * |
Name: svn:eol-style |
+ LF |